Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ClientRequestInterceptor_List Class Reference

Encapsulation for a list of client request interceptors. More...

`#include <Interceptor_List.h>`

Inheritance diagram for TAO_ClientRequestInterceptor_List:

[legend]
Collaboration diagram for TAO_ClientRequestInterceptor_List:

[legend]
List of all members.

## Public Types
typedef ACE_Array_Base< PortableInterceptor::ClientRequestInterceptor_ptr > | TYPE
| Define a trait for the underlying portable interceptor array.
## Public Methods
| TAO_ClientRequestInterceptor_List (void)
| Constructor.
| ~TAO_ClientRequestInterceptor_List (void)
| Destructor.
void | add_interceptor (PortableInterceptor::ClientRequestInterceptor_ptr i ACE_ENV_ARG_DECL)
| Register a client request interceptor.
TYPE & | interceptors (void)
| Return reference to the underlying Portable Interceptor array.
## Protected Methods
virtual size_t | length (void)
| Return the length of the underlying interceptor array.
virtual void | length (size_t)
| Set the length of the underlying interceptor array.
virtual PortableInterceptor::Interceptor_ptr | interceptor (size_t)
| Return the interceptor in element <index>.
## Private Attributes
TYPE | interceptors_
| Dynamic array of registered client request interceptors.

## Detailed Description

Encapsulation for a list of client request interceptors.

## Member Typedef Documentation

typedef ACE_Array_Base<PortableInterceptor::ClientRequestInterceptor_ptr> TAO_ClientRequestInterceptor_List::TYPE

| Define a trait for the underlying portable interceptor array.

## Constructor & Destructor Documentation

TAO_ClientRequestInterceptor_List::TAO_ClientRequestInterceptor_List | ( | void |  | ) |

| Constructor. Prevent interceptors with the same name from being registered. Anonymous interceptors are okay.

TAO_ClientRequestInterceptor_List::~TAO_ClientRequestInterceptor_List | ( | void |  | ) |

| Destructor.

## Member Function Documentation

void TAO_ClientRequestInterceptor_List::add_interceptor | ( | PortableInterceptor::ClientRequestInterceptor_ptr i | ACE_ENV_ARG_DECL | ) |

| Register a client request interceptor.

PortableInterceptor::Interceptor_ptr TAO_ClientRequestInterceptor_List::interceptor | ( | size_t |  | ) | `[protected, virtual]`

| Return the interceptor in element <index>. Implements TAO_Interceptor_List.

TYPE& TAO_ClientRequestInterceptor_List::interceptors | ( | void |  | ) |

| Return reference to the underlying Portable Interceptor array.

void TAO_ClientRequestInterceptor_List::length | ( | size_t |  | ) | `[protected, virtual]`

| Set the length of the underlying interceptor array. Implements TAO_Interceptor_List.

size_t TAO_ClientRequestInterceptor_List::length | ( | void |  | ) | `[protected, virtual]`

| Return the length of the underlying interceptor array. Implements TAO_Interceptor_List.

## Member Data Documentation

TYPE TAO_ClientRequestInterceptor_List::interceptors_`[private]`

| Dynamic array of registered client request interceptors.

The documentation for this class was generated from the following files:

- Interceptor_List.h
- Interceptor_List.cpp